import { warningOnce as i } from "../../rc-util/es/warning.mjs";
import * as a from "react";
var r = "RC_FORM_INTERNAL_HOOKS", e = function() {
  i(!1, "Can not find FormContext. Please make sure you wrap Field under Form.");
}, l = /* @__PURE__ */ a.createContext({
  getFieldValue: e,
  getFieldsValue: e,
  getFieldError: e,
  getFieldWarning: e,
  getFieldsError: e,
  isFieldsTouched: e,
  isFieldTouched: e,
  isFieldValidating: e,
  isFieldsValidating: e,
  resetFields: e,
  setFields: e,
  setFieldValue: e,
  setFieldsValue: e,
  validateFields: e,
  submit: e,
  getInternalHooks: function() {
    return e(), {
      dispatch: e,
      initEntityValue: e,
      registerField: e,
      useSubscribe: e,
      setInitialValues: e,
      destroyForm: e,
      setCallbacks: e,
      registerWatch: e,
      getFields: e,
      setValidateMessages: e,
      setPreserve: e,
      getInitialValue: e
    };
  }
});
export {
  r as HOOK_MARK,
  l as default
};
